Phoenix Group PLC

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/phoenix-group-plc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

4 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/phoenix-group-plc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1753920000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://cointelegraph.com/news/phoenix-group-150m-crypto-treasury-bitcoin-solana-adx",
    "holding_balance": 514.0,
    "holding_net_change": 383.0,
    "transaction_value_usd": 44336240.86,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://phoenixgroupuae.com/news/phoenix-group-delivers-strong-q3-results-with-rising-revenue-and-global-expansion",
    "holding_balance": 682.0,
    "holding_net_change": 168.0,
    "transaction_value_usd": 19173262.08,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1767139200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://phoenixgroupuae.com/news/phoenix-group-reports-q4-and-fy-2025-results-advances-infrastructure-expansion-and-efficiency",
    "holding_balance": 641.0,
    "holding_net_change": -41.0,
    "transaction_value_usd": 3587142.48,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/phoenix-group-plc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1789171200000,
    641.0
  ],
  [
    1789257600000,
    641.0
  ],
  [
    1789344000000,
    641.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/phoenix-group-plc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1789171200000,
    49503692.85
  ],
  [
    1789257600000,
    49518487.13
  ],
  [
    1789344000000,
    49234030.56
  ]
]
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/phoenix-group-plc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.003,
  "share_price_change_state": "down"
}
Not available for this company
  • price-data (Price Data) returns 404 {"error":"Data unavailable for this company"}
  • company-data (Company Data) returns 404 {"error":"Data unavailable for this company"}
  • performance-metrics (Performance Metrics) returns 404 {"error":"Data unavailable for this company"}